1 votos

Cómo agregar una biblioteca de python para un determinado Licuadora construir?

Así que tengo una versión de Blender desde PPA:

https://launchpad.net/~thomas-schiex/+archive/ubuntu/blender

Todo funciona bien, excepto un problema. Trato de usar un addon llamado "nodos de Animación", que trato de activarlo es la causa de este error:

enter image description here

En PPA he encontrado esto:

Para NumPy para trabajar con Python 3.6 en Python 3.5 distribuciones basadas en (pre-artística), por favor, instale numpy con el pip.

Así que me la he instalado escribiendo pip install numpy en la terminal. Ahora se ve como:

design@3dDesign:~$ pip install numpy
Requirement already satisfied: numpy in ./.local/lib/python2.7/site-packages

Pero el problema todavía existe.

Blender utiliza la versión 3.6: enter image description here

Tal vez el problema en las versiones? O tal vez lo que necesita para enlace de Python en la licuadora con la colección de la biblioteca en forma específica?

1voto

Elder Geek Puntos 6273

/ruta/a/blenderspython/python pip install numpy donde /ruta/toblenderspython es la ruta de acceso a su versión de licuadoras directorio de python. que puede ser /usr/share/blender/2.79/python/bin/ basado en el informe de error de la imagen.

A continuación, intente habilitar su addon llamado "nodos de Animación" de nuevo.

Fuentes:

este comentario de sambler

https://blender.stackexchange.com/questions/56011/how-to-use-pip-with-blenders-bundled-python

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: